{
    "format_version": "1.10.0",
    "animation_controllers": {
        "controller.animation.sg_vtng.stone_crank": {
            "initial_state": "stopped",
            "states": {
                "stopped": {
					"animations": [ "stone_crank_rotation" ],
					"transitions": [
						{ "spinning": "q.property('sg_vtng:rpm') > 0 && q.property('sg_vtng:cardinal_rotation') == 'east' || q.property('sg_vtng:rpm') > 0 && q.property('sg_vtng:cardinal_rotation') == 'south' || q.property('sg_vtng:rpm') < 0 && q.property('sg_vtng:cardinal_rotation') == 'west' || q.property('sg_vtng:rpm') < 0 && q.property('sg_vtng:cardinal_rotation') == 'north' || q.property('sg_vtng:rpm') > 0 && q.property('sg_vtng:cardinal_rotation') == 'down' || q.property('sg_vtng:rpm') < 0 && q.property('sg_vtng:cardinal_rotation') == 'up'" },
                        { "reverse_spinning": "q.property('sg_vtng:rpm') > 0 && q.property('sg_vtng:cardinal_rotation') == 'west' || q.property('sg_vtng:rpm') > 0 && q.property('sg_vtng:cardinal_rotation') == 'north' || q.property('sg_vtng:rpm') < 0 && q.property('sg_vtng:cardinal_rotation') == 'east' || q.property('sg_vtng:rpm') < 0 && q.property('sg_vtng:cardinal_rotation') == 'south' || q.property('sg_vtng:rpm') > 0 && q.property('sg_vtng:cardinal_rotation') == 'up' || q.property('sg_vtng:rpm') < 0 && q.property('sg_vtng:cardinal_rotation') == 'down'" }
					]
				},
                "spinning": {
					"animations": [ "stone_crank_rotation", "spin" ],
					"transitions": [
						{ "stopped": "q.all_animations_finished" }
					]
				},
                "reverse_spinning": {
					"animations": [ "stone_crank_rotation", "reverse_spin" ],
					"transitions": [
						{ "stopped": "q.all_animations_finished" }
					]
				}
            }
        }
    }
}